.search-icon {
    position: relative;
    margin: 20px auto;
    width: 24px;
    height: 24px;
    cursor: pointer;
    z-index: 2;
}


.search-overlay {
    position: fixed;
    top: -100%;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: var(--beige-white);
    z-index: 99;
    transition: top 0.3s ease-in-out;
}

.search-overlay.active {
    top: 0;
}

.search-container {
    padding: 100px 20px 20px;
}

.close-button {
   display: none;
    position: fixed;
    bottom: 80px;
    left: 50%;
    transform: translateX(-50%);
    font-size: 30px;
    cursor: pointer;
    color: var(--dark-blue);
    width: 40px;
    height: 40px;
    align-items: center;
    justify-content: center;
    background: white;
    border-radius: 50%;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.search-overlay.active .close-button {
    display: flex;
}

#search-input {
    width: 100%;
    padding: 12px;
    border: 2px solid var(--dark-blue);
    border-radius: 8px;
    font-size: 16px;
    font-family: 'Lora', serif;
}

.search-results {
    margin-top: 10px;
    max-height: 60vh;
    overflow-y: auto;
}

.search-result-item {
    padding: 12px;
    border-bottom: 1px solid rgba(0, 70, 139, 0.2);
    cursor: pointer;
}

.search-result-item:hover {
    background-color: rgba(0, 70, 139, 0.1);
}

.add-confirmation {
    position: fixed;
    bottom: 20%;
    left: 50%;
    transform: translateX(-50%);
    background-color: var(--dark-blue);
    color: white;
    padding: 12px 24px;
    border-radius: 20px;
    opacity: 0;
    transition: opacity 0.3s;
}

.add-confirmation.show {
    opacity: 1;
}

.search-icon img{
    width: 24px;
    height: 24px;
}

.quantity {
    display: inline-block;
    min-width: 24px;
    height: 24px;
    background-color: var(--dark-blue);
    color: white;
    border-radius: 12px;
    text-align: center;
    line-height: 24px;
    margin-right: 8px;
    font-size: 14px;
    cursor: pointer;
}

.quantity-input {
    width: 40px;
    height: 24px;
    border: 1px solid var(--dark-blue);
    border-radius: 12px;
    text-align: center;
    margin-right: 8px;
    font-size: 14px;
    padding: 0 4px;
}

